# Create a context field POST https://app.unleash-instance.example.com/api/admin/context Content-Type: application/json Endpoint that allows creation of [custom context fields](https://docs.getunleash.io/concepts/unleash-context#custom-context-fields) Reference: https://docs.getunleash.io/api/create-context-field ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Create a context field version: endpoint_context.createContextField paths: /api/admin/context: post: operationId: create-context-field summary: Create a context field description: >- Endpoint that allows creation of [custom context fields](https://docs.getunleash.io/concepts/unleash-context#custom-context-fields) tags: - - subpackage_context parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '201': description: The resource was successfully created. content: application/json: schema: $ref: '#/components/schemas/contextFieldSchema' requestBody: description: createContextFieldSchema content: application/json: schema: $ref: '#/components/schemas/createContextFieldSchema' components: schemas: legalValueSchema: type: object properties: value: type: string description: The valid value description: type: string description: Describes this specific legal value required: - value createContextFieldSchema: type: object properties: description: type: string description: A description of the context field stickiness: type: boolean description: >- `true` if this field should be available for use with [custom stickiness](https://docs.getunleash.io/concepts/stickiness#custom-stickiness), otherwise `false` sortOrder: type: integer description: >- How this context field should be sorted if no other sort order is selected legalValues: type: array items: $ref: '#/components/schemas/legalValueSchema' description: A list of allowed values for this context field project: type: string description: >- The project this context field belongs to (if it is project-specific) name: type: string description: The name of the context field. required: - name contextFieldSchema: type: object properties: name: type: string description: The name of the context field description: type: - string - 'null' description: The description of the context field. stickiness: type: boolean description: >- Does this context field support being used for [stickiness](https://docs.getunleash.io/concepts/stickiness) calculations sortOrder: type: integer description: >- Used when sorting a list of context fields. Is also used as a tiebreaker if a list of context fields is sorted alphabetically. createdAt: type: - string - 'null' format: date-time description: When this context field was created usedInFeatures: type: - integer - 'null' description: Number of projects where this context field is used in usedInProjects: type: - integer - 'null' description: Number of projects where this context field is used in legalValues: type: array items: $ref: '#/components/schemas/legalValueSchema' description: >- Allowed values for this context field schema. Can be used to narrow down accepted input project: type: string description: >- The project this context field belongs to (if it is project-specific) required: - name ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/context" payload = { "name": "subscriptionTier" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/context'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"subscriptionTier"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/context" payload := strings.NewReader("{\n \"name\": \"subscriptionTier\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/context") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"subscriptionTier\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/context") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"subscriptionTier\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/context', [ 'body' => '{ "name": "subscriptionTier" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/context"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"subscriptionTier\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["name": "subscriptionTier"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/context")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```